JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Namespaces | Macros | Enumerations
juce_CIEncoding.h File Reference

## Classes
struct | juce::midi_ci::EncodingUtils
| Utility functions for working with the Encoding enum. More...

## Namespaces
namespace | juce
namespace | juce::midi_ci

## Macros
#define | JUCE_ENCODINGS X(ascii, "ASCII") X(mcoded7, "Mcoded7") X(zlibAndMcoded7, "zlib+Mcoded7")
#define | X(name, unused) name,
#define | X(name, string) case Encoding::name: return string;
#define | X(name, string) if (std::string_view (str) == std::string_view (string)) return Encoding::name;

## Enumerations
enum class | juce::midi_ci::Encoding { juce::midi_ci::X , juce::midi_ci::ascii , juce::midi_ci::mcoded7 , juce::midi_ci::zlibAndMcoded7 }
| Identifies different encodings that may be used by property exchange messages. More...

## Macro Definition Documentation

## ◆ JUCE_ENCODINGS

#define JUCE_ENCODINGS X(ascii, "ASCII") X(mcoded7, "Mcoded7") X(zlibAndMcoded7, "zlib+Mcoded7")

Referenced by juce::midi_ci::EncodingUtils::toEncoding(), and juce::midi_ci::EncodingUtils::toString().

## ◆ X [1/3]

#define X | ( |  | name,
|  |  | unused ) name,

## ◆ X [2/3]

#define X | ( |  | name,
|  |  | string ) case Encoding::name: return string;

## ◆ X [3/3]

#define X | ( |  | name,
|  |  | string ) if (std::string_view (str) == std::string_view (string)) return Encoding::name;